Page 1 of 1

GLX_EXT_swap_control not supported

PostPosted: Mon Feb 13, 2012 7:29 pm
by rsilva4
This is my problem:

Code: Select all
~$ anomaly
GLX_EXT_swap_control not supported, unable to set vertical sync.
Extension EXT_texture_compression_s3tc not supported. Shutting down the game.


And here is my system:

Code: Select all
processor   : 3
vendor_id   : GenuineIntel
cpu family   : 6
model      : 42
model name   : Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz



Code: Select all
~$ cat /proc/meminfo
MemTotal:        8103924 kB


Code: Select all
:~$ lsb_release -a
No LSB modules are available.
Distributor ID:   Ubuntu
Description:   Ubuntu 11.10
Release:   11.10
Codename:   oneiric


Thanks in advance!

Re: GLX_EXT_swap_control not supported

PostPosted: Thu Feb 16, 2012 1:58 pm
by lvella
"GLX_EXT_swap_control not supported" is not a fatal error. The fatal error e the one you get below: "Extension EXT_texture_compression_s3tc not supported. Shutting down the game."

What is your video driver? You can know it running glxinfo and looking at this info (this is mine):

Code: Select all
...
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD RV770
OpenGL version string: 2.1 Mesa 8.0
...


You are probably also using Mesa as your OpenGL implementation (for Intel or Radeon card), what means you need to somehow install the 32bit version of the library libtxc_dxtn.so (I say 32 bits because the game is always 32 bits, despite what the packaging says). This library will enable support for GL_EXT_texture_compression_s3tc, whose lack is killing the game.

Note that even if you install the library, you might be unable to run the game: many users are unable to start the game on Linux even with S3TC enabled. See the other threads, specifically this.

Re: GLX_EXT_swap_control not supported

PostPosted: Thu Jun 14, 2012 12:29 pm
by PauletteG
Hello! I have just one question for you - is it really possible to post here the description of my problem and receive the answer just for free? If it is so, it will be absolutely amazing!

Re: GLX_EXT_swap_control not supported

PostPosted: Fri Jun 15, 2012 10:37 am
by admin
We'll do our best :)

Re: GLX_EXT_swap_control not supported

PostPosted: Tue Nov 12, 2013 12:47 pm
by wiki1995
I think you should update your direcxt files, and update drivers :)

Re: GLX_EXT_swap_control not supported

PostPosted: Fri Dec 13, 2013 1:33 pm
by kaska21812
Did it work?

Re: GLX_EXT_swap_control not supported

PostPosted: Thu Dec 19, 2013 4:06 pm
by danutka7413
I don't think so.

Re: GLX_EXT_swap_control not supported

PostPosted: Wed May 18, 2016 5:06 am
by madooeiei
Did it work?
gclub online